%define subrel p7
Summary: An X-Windows capture tool
Name: xvidcap
Version: 1.1.3
Release: %{subrel}_1%{?distro_release:.%{distro_release}}
License: GPL
Source0: http://sourceforge.net/projects/xvidcap/%{name}-%{version}-%{subrel}.tar.gz
Source1: %{name}.desktop
Source2: %{name}.png
Source3: gvidcap.desktop
Source4: gvidcap.png
Patch0: ffmpeg.patch
Patch1: xvidcap.configure.patch
Group: Applications/Multimedia
URL: http://xvidcap.sourceforge.net
BuildRequires: xorg-x11-devel, gtk2-devel >= 2.2.1
BuildRequires: freetype-devel, SDL-devel
BuildRequires: zlib-devel, lame-devel, libvorbis-devel, faad2-devel
BuildRequires: a52dec-devel, imlib-devel
BuildPrereq: libjpeg-devel 
BuildPrereq: libpng-devel 
BuildPrereq: ffmpeg-devel >= 0.4.8
BuildRequires: perl(XML::Parser)
BuildRequires: libgnomeui-devel, libglade2-devel
Requires: gawk
Requires: ffmpeg >= 0.4.8
Obsoletes: gvidcap
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
xvidcap is a small tool to capture things going on on an X-Windows
display to either individual frames or an MPEG video.

%prep
%setup -q -n %{name}-%{version}-%{subrel}
%patch0 -p1 -b ffmpeg.patch
#%patch1 -p0 -b .configure.patch

%build
%configure ac_cv_lib_avformat_avienc_init=yes
# --x-includes=%{_includedir}/X11 --x-libraries=%{_libdir}/X11
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} datadir=%{buildroot}/%{_datadir} install
rm -fr %{buildroot}/%{_datadir}/doc
ln -s xvidcap %{buildroot}%{_bindir}/gvidcap

# desktop menu and icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications
install -p -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -p -m 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png
install -p -m 0644 %SOURCE3 %{buildroot}/%{_datadir}/applications/gvidcap.desktop
install -p -m 0644 %SOURCE4 %{buildroot}/%{_datadir}/pixmaps/gvidcap.png

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc README NEWS INSTALL AUTHORS ChangeLog src/XVidcap.ad
%{_bindir}/xvidcap
%{_bindir}/gvidcap
%{_mandir}/*/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/gvidcap.desktop
%{_datadir}/pixmaps/gvidcap.png

%changelog
* Wed Sep  6 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.4-5_rc1
- Update to 1.1.4.

* Wed Jan 04 2006 Paulo Roma <pcavalcanti@devel.atrpms.net>
- Fedora 4 build of gvidcap
- ffmpeg patch to compile it with CC (gcc32).

* Sun May 10 2004 Snorri <snorri_dj@operamail.com>
- First fedora build of gvidcap

